# AMMInfoRequest | xrpl
Documentation for xrpl

# Interface AMMInfoRequest

The `amm_info` method gets information about an Automated Market Maker (AMM) instance. Returns an AMMInfoResponse.

#### Hierarchy

- BaseRequest
  - AMMInfoRequest

- Defined in packages/xrpl/src/models/methods/ammInfo.ts:11

#####
Index

### Properties

amm_account?
api_version?
asset?
asset2?
command
id?

## Properties

### `Optional` amm_account

amm_account?: string

The address of the AMM Account to look up.

- Defined in packages/xrpl/src/models/methods/ammInfo.ts:17

### `Optional` api_version

api_version?: number

The API version to use. If omitted, use version 1.

Inherited from BaseRequest.api_version

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:16

### `Optional` asset

asset?: Currency

One of the assets of the AMM pool to look up.

- Defined in packages/xrpl/src/models/methods/ammInfo.ts:22

### `Optional` asset2

asset2?: Currency

The other asset of the AMM pool.

- Defined in packages/xrpl/src/models/methods/ammInfo.ts:27

### command

command: "amm_info"

The name of the API method.

Overrides BaseRequest.command

- Defined in packages/xrpl/src/models/methods/ammInfo.ts:12

### `Optional` id

id?: string | number

A unique value to identify this request. The response to this request uses the same id field. This way, even if responses arrive out of order, you know which request prompted which response.

Inherited from BaseRequest.id

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:12

Generated using TypeDoc